Skip to main content
GET
List products

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Query Parameters

include
string

Comma-separated list of relationships to include.

Available options: parent, variants, uom, uomPO, category, tags, attributes, attribute_values, company, creator

Example:

"category,tags"

filter[id]
string

Comma-separated list of IDs to filter by

filter[type]
enum<string>

Filter by product type

Available options:
goods,
service
filter[enable_sales]
boolean

Filter by sales enabled

Example:

"true"

filter[enable_purchase]
boolean

Filter by purchase enabled

Example:

"false"

filter[category_id]
string

Comma-separated list of category IDs to filter by

filter[trashed]
enum<string>

Filter by trashed status: "with" (include trashed), "only" (only trashed), or any other value for non-trashed only

Available options:
with,
only
Example:

"with"

sort
string
required

Sort field

Example:

"-created_at"

page
integer
required

Page number

Example:

1

Response

Success